<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.centre.mapper.AttendanceSignRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.storlead.centre.entity.AttendanceSignRecordEntity">
        <id column="id" property="id" />
    <result column="sort" property="sort" />
    <result column="create_time" property="createTime" />
    <result column="update_by" property="updateBy" />
    <result column="update_time" property="updateTime" />
    <result column="is_delete" property="isDelete" />
    <result column="enabled" property="enabled" />
    <result column="create_by" property="createBy" />
    <result column="owner_by" property="ownerBy" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="dept_id" property="deptId" />
        <result column="dept_name" property="deptName" />
        <result column="sign_date" property="signDate" />
        <result column="sign_time" property="signTime" />
        <result column="sign_type" property="signType" />
        <result column="sync_oa" property="syncOa" />
        <result column="sign_source" property="signSource" />
        <result column="device_type" property="deviceType" />
        <result column="device_id" property="deviceId" />
        <result column="sign_address" property="signAddress" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        sort,
        create_time,
        update_by,
        update_time,
        is_delete,
        enabled,
        create_by,
        owner_by,
        id, user_id, user_name, dept_id, dept_name, sign_date, sign_time, sign_type, sync_oa, sign_source, device_type, device_id, sign_address, longitude, latitude, remark
    </sql>

</mapper>
